//    DLC-Decrypter-Library - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package de.itgecko.dlc.decrypter.example;

import java.io.File;
import java.util.ArrayList;

import de.itgecko.dlc.decrypter.DLCContent;
import de.itgecko.dlc.decrypter.DLCDecrypter;
import de.itgecko.dlc.decrypter.DLCFile;

public class DLCDecrypterExample {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		/*
		 * File
		 */
		DLCContent dlcContent = DLCDecrypter.decrypt(new File("G:\\Temp Downloads\\test2.dlc"));
		
		/*
		 * Base64 DLC String
		 */
		//DLCContent dlcContent = DLCDecrypter.decrypt("DLC String");
		
		System.out.println("Generator DLC: " + dlcContent.getDlcPackage());
		System.out.println("Generator APP: " + dlcContent.getGeneratorApp());
		System.out.println("Generator Url: " + dlcContent.getGeneratorUrl());
		System.out.println("Generator Version: " + dlcContent.getGeneratorVersion() + "\n");
		
		System.out.println("Xml Version: " + dlcContent.getDlcXmlVersion() + "\n");
		
		System.out.println("::Alle Dateien::\n");
		
		/*
		 * Listet alle Urls und Dateinamen des DLC Packetes auf
		 */
		ArrayList<DLCFile> dlcFiles = dlcContent.getDlcFiles();
		
		for(int i = 0, c = dlcFiles.size(); i < c; i++)
		{
			System.out.println("URL: " + dlcFiles.get(i).getUrl());
			System.out.println("Filename: " + dlcFiles.get(i).getFilename() + " \n");
		}
	}

}
